Qt 5.9 | Qt Location | C++ Classes | QPlaceSearchSuggestionReply

Qt 5.9.4 Reference Documentation

# QPlaceSearchSuggestionReply Class

The QPlaceSearchSuggestionReply class manages a search suggestion operation started by an instance of QPlaceManager. More...

Header: | #include <QPlaceSearchSuggestionReply>
qmake: | QT += location
Since: | Qt 5.6
Inherits: | QPlaceReply

- List of all members, including inherited members

## Public Functions

| QPlaceSearchSuggestionReply(QObject *parent = Q_NULLPTR)
| ~QPlaceSearchSuggestionReply()
QStringList | suggestions() const

## Reimplemented Public Functions

virtual Type | type() const

- 4 public functions inherited from QPlaceReply
- 32 public functions inherited from QObject

## Protected Functions

void | setSuggestions(const QStringList &suggestions)

- 2 protected functions inherited from QPlaceReply
- 9 protected functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QPlaceReply
- 1 public slot inherited from QObject
- 3 signals inherited from QPlaceReply
- 2 signals inherited from QObject
- 1 public variable inherited from QObject
- 10 static public members inherited from QObject
- 2 protected variables inherited from QObject

## Detailed Description

The QPlaceSearchSuggestionReply class manages a search suggestion operation started by an instance of QPlaceManager.

On successful completion of the operation, the reply will contain a list of search term suggestions. See Search Suggestions for an example on how to use a search suggestion reply.

See also QPlaceManager.

## Member Function Documentation

### QPlaceSearchSuggestionReply::QPlaceSearchSuggestionReply(QObject *parent = Q_NULLPTR)

Constructs a search suggestion reply with a given parent.

### QPlaceSearchSuggestionReply::~QPlaceSearchSuggestionReply()

Destroys the reply.

### `[protected]` void QPlaceSearchSuggestionReply::setSuggestions(const QStringList &suggestions)

Sets the search term suggestions.

See also suggestions().

### QStringList QPlaceSearchSuggestionReply::suggestions() const

Returns the search term suggestions.

See also setSuggestions().

### `[virtual]` Type QPlaceSearchSuggestionReply::type() const

Reimplemented from QPlaceReply::type().

Returns type of reply.